Bug 508948 - Switch to using python's gettext module
Switch to using python's gettext module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks: rhplectomy
  Show dependency treegraph
 
Reported: 2009-06-30 11:51 EDT by Jeremy Katz
Modified: 2014-01-12 19:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 06:04:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to switch (1.69 KB, patch)
2009-06-30 11:51 EDT, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2009-06-30 11:51:50 EDT
Created attachment 349967 [details]
patch to switch

python's gettext module can work just fine instead of rhpl.translate; patch to switch to using it attached
Comment 1 Roman Rakus 2009-07-16 11:00:37 EDT
Thanks for patch.
There is any decision to get a rid of rhpl? s-c-kdump uses also some parts of rhpl.executil...
Comment 2 Roman Rakus 2009-07-16 11:02:35 EDT
ah, ok... now I see this bug blocks rhplectomy...
Comment 3 Jeremy Katz 2009-07-16 11:08:16 EDT
I didn't see any usage of rhpl.executil in the source tree -- there was a comment to switch to doing so, but really you want to use subprocess instead.

And rhpl is definitely dying, the last remaining bits are
* moving keyboard stuff somewhere (likely system-config-keyboard)
* clumens is making the rhpl.exception stuff much more generally usable and in its own package
Comment 5 Roman Rakus 2009-11-12 06:04:07 EST
Fixed in rawhide (system-config-kdump-2.0.1-1)

Note You need to log in before you can comment on or make changes to this bug.